Bug 1112710 - ulimit -c and -f units in POSIX mode not covered by man page
Summary: ulimit -c and -f units in POSIX mode not covered by man page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 20
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Ondrej Oprala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-24 14:13 UTC by Filip Krska
Modified: 2016-02-01 02:09 UTC (History)
4 users (show)

Fixed In Version: bash-4.2.47-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1112709
Environment:
Last Closed: 2014-07-23 03:00:29 UTC


Attachments (Terms of Use)

Description Filip Krska 2014-06-24 14:13:01 UTC
+++ This bug was initially created as a clone of Bug #1112709 +++

+++ This bug was initially created as a clone of Bug #1112708 +++

Description of problem:

The fact, that since bash-4.0

j.  The block multiplier for the ulimit -c and -f options is now 512 when in
    Posix mode, as Posix specifies.

is not reflected in man page.

Version-Release number of selected component (if applicable):

bash-4.1.2-14.el6.x86_64  (and higher, including upstream bash-4.3)

How reproducible:

Always

Steps to Reproduce:
1. man bash
2.
3.

Actual results:

              If limit is given, it is the new value  of  the  specified
              resource (the -a option is display only).  If no option is
              given, then -f is assumed.  Values are in 1024-byte incre-
              ments, except for -t, which is in seconds, -p, which is in
              units of 512-byte blocks, and -T, -b, -n,  and  -u,  which
              are  unscaled  values.   The  return status is 0 unless an
              invalid option or argument is supplied, or an error occurs
              while setting a new limit.


Expected results:

Something like:

              If limit is given, it is the new value  of  the  specified
              resource (the -a option is display only).  If no option is
              given, then -f is assumed.  Values are in 1024-byte incre-
              ments, except for -t, which is in seconds, -p, which is in
              units of 512-byte blocks, and -T, -b, -n,  and  -u,  which
              are  unscaled  values.   The  return status is 0 unless an
              invalid option or argument is supplied, or an error occurs
              while setting a new limit. In POSIX Mode  512-byte  blocks
              are used for the `-c' and `-f' options.


Additional info:

The difference for POSIX mode is covered by bash.info in

6.11 Bash POSIX Mode

...

 42. The `ulimit' builtin uses a block size of 512 bytes for the `-c'
     and `-f' options.

...


I guess there will be more differences (but not huge difference in size in bash case) between man and info pages that may cause user confusion. Is there any reason, why those are not in sync? Would it be feasible to suggest upstream both man and info being generated from one source?

Comment 1 Fedora Update System 2014-07-21 12:02:34 UTC
bash-4.2.47-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bash-4.2.47-3.fc20

Comment 2 Fedora Update System 2014-07-22 03:29:55 UTC
Package bash-4.2.47-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-4.2.47-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8592/bash-4.2.47-3.fc20
then log in and leave karma (feedback).

Comment 3 lnie 2014-07-22 04:11:21 UTC
bash-4.2.47-3.fc20 works

Comment 4 Fedora Update System 2014-07-23 03:00:29 UTC
bash-4.2.47-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.